Skip to main content
PATCH
/
v1
/
organizations
/
{organizationId}
Update a organization
curl --request PATCH \
  --url https://api.tripwirejs.com/v1/organizations/{organizationId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Acme Growth Workspace",
  "status": "active"
}
'
{
  "data": {
    "object": "organization",
    "id": "org_f6m39y94nh6fs513q03skj929c",
    "name": "Acme Growth Workspace",
    "slug": "acme-growth",
    "status": "active",
    "created_at": "2026-03-24T20:00:00.000Z",
    "updated_at": "2026-03-24T20:00:05.000Z"
  },
  "meta": {
    "request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
  }
}

Path Parameters

organizationId
string
required
Pattern: ^org_[0123456789abcdefghjkmnpqrstvwxyz]{26}$
Example:

"org_f6m39y94nh6fs513q03skj929c"

Body

application/json
name
string
Minimum string length: 1
Example:

"Acme Growth Workspace"

status
enum<string>
Available options:
active,
suspended,
deleted
Example:

"active"

Response

Updated organization response.

data
object
required
Example:
{
"object": "organization",
"id": "org_f6m39y94nh6fs513q03skj929c",
"name": "Acme Growth Workspace",
"slug": "acme-growth",
"status": "active",
"created_at": "2026-03-24T20:00:00.000Z",
"updated_at": "2026-03-24T20:00:05.000Z"
}
meta
object
required
Example:
{
"request_id": "req_cf147349a4134208aebb8c70e25fb7e1"
}